<?php


add_action("wp", function(){
	

	$id = get_queried_object_id();
	$pagename = get_query_var( 'pagename' );
	$slug = basename(get_permalink());


	if ( !$pagename && $id ) {
		// If a static page is set as the front page, $pagename will not be set.
		// Retrieve it from the queried object.
		$post = get_queried_object();
		if ( $post ) {
			$pagename = $post->post_name;
		}
	}

	/*fix strange behaviour with home page*/
	$archiveName = strtolower(get_the_archive_title());
	$redirectPages = apply_filters("template-redirects", array("archives"=>(object)[
		"id" => 0,
		"slug"=>"home",
		"title" => get_bloginfo( "name" ),
		"description" => get_bloginfo( "description" ),
	])) ?: array();
	
	
	
	if($id == 0 && array_key_exists($archiveName, $redirectPages))
	{
		$id = $redirectPages[$archiveName]->id;
		$pagename = $redirectPages[$archiveName]->slug;
		
	}
	elseif( $id == 0)
	{
		$pagename = $archiveName;
	}
	
	
	if(file_exists(get_template_directory() . "/page-templates/page-" . $pagename . ".php"))
	{
		
		global $customPageTemplate;
		$customPageTemplate =  $pagename;
		
		add_filter('page_title', function($title)
		{
		    return get_bloginfo( "name" );
		});
		
		add_filter('page_description', function($title)
		{
		    return get_bloginfo( "description" );
		});
		
		
		
	}
	




});
